关于taro引用antd-mobile后出现现的问题



  • 引用组件的时候,编译成h5发现,总是报编译失败,没有找到antd-mobile,但实际node_module里面已经存在,./node_modules/_antd-mobile@2.3.4@antd-mobile/lib/picker-view/PickerView.js,这是什么原因呢?不支持?但是主要想用组件pickerView,定制日期选择,但是对于H5的Picker不符合设计要求



  • 再补充点,编译环境已经配置好了plugins: [
    'transform-decorators-legacy',
    'transform-class-properties',
    'transform-object-rest-spread',
    ['import', { libraryName: 'antd-mobile', style: 'css' }]
    ],不引用组件的情况下,没有出现编译错误,正明应该是语法没有问题



  • 解决了,需要安装react包


登录后回复